\version "2.24.1"

N = 67
\include "haydn.ly"

\book {
  \coverpage
  \secondpage

  \bookpart {
    \include "header.ly"
    \header { piece = "I" }
    \paper{}
    \maxsystems 2
    \score {
      \layout { \breaklayout I \spacing #1/16 }
      \keepWithTag \Haydntags \tag #'Mvt1 <<
        \breaks I
        \I.structure
        \new StaffGroup <<
          \new OboeIandII \partCombine \I.Oboe.1 \I.Oboe.2
          \new BassoonIandII \partCombine \I.Bassoon.1 \I.Bassoon.2
        >>
        \new StaffGroup
          \new HornIandII \with { key=f } \partCombine \I.Horn.1 \I.Horn.2
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \I.Violin.1 }
            \new ViolinII { \I.Violin.2 }
          >>
          \new Viola { \I.Viola }
          \new CB { \I.Cello }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "II" }
    \paper{}
    \maxsystems 3
    \score {
      \layout { \breaklayout II }
      \keepWithTag \Haydntags \tag #'Mvt2 <<
        \breaks II
        \II.structure
        \new StaffGroup <<
          \new OboeIandII \partCombine \II.Oboe.1 \II.Oboe.2
          \new BassoonIandII \partCombine \II.Bassoon.1 \II.Bassoon.2
        >>
        \new StaffGroup
          \new HornIandII \with { key=bes } \partCombine \II.Horn.1 \II.Horn.2
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \II.Violin.1 }
            \new ViolinII { \II.Violin.2 }
          >>
          \new Viola { \II.Viola }
          \new CB { \II.Cello }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "III" }
    \paper{}
    \maxsystems 4
    \score {
      \layout { \breaklayout IIIa \spacing #1/16 }
      \keepWithTag \Haydntags \tag #'Mvt3 <<
        \breaks IIIa
        \IIIa.structure
        \new StaffGroup <<
          \new OboeIandII \partCombine \IIIa.Oboe.1 \IIIa.Oboe.2
          \new BassoonIandII \partCombine \IIIa.Bassoon.1 \IIIa.Bassoon.2
        >>
        \new StaffGroup
          \new HornIandII \with { key=f } \partCombine \IIIa.Horn.1 \IIIa.Horn.2
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \IIIa.Violin.1 }
            \new ViolinII { \IIIa.Violin.2 }
          >>
          \new Viola { \IIIa.Viola }
          \new CB    { \IIIa.Cello }
        >>
      >>
    }
    \score {
      \layout { \breaklayout IIIb \spacing #1/16 }
      \header { piece = ##f }
      \keepWithTag \Haydntags \tag #'Mvt3 <<
        \breaks IIIb
        \IIIb.structure
        \new Violins \with { instrumentName=##f } <<
          \new ViolinI  \with { instrumentName="Violin I obligato" }
            { \IIIb.Violin.1 }
          \new ViolinII \with { instrumentName="Violin II obligato" }
            { \IIIb.Violin.2 }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "IV" }
    \paper{}
    \maxsystems 2
    \score {
      \layout { \breaklayout IV \spacing #1/12 }
      \keepWithTag \Haydntags \tag #'Mvt4 <<
        \breaks IV
        \IV.structure
        \new StaffGroup <<
          \new Oboes <<
            \new OboeI      \with { \RemoveAllEmptyStaves } { \IV.Oboe.1 }
            \new OboeII     \with { \RemoveAllEmptyStaves } { \IV.Oboe.2 }
            \new OboeIandII \partCombine \IV.Oboe.1 \IV.Oboe.2
          >>
          \new BassoonIandII \partCombine \IV.Bassoon.1 \IV.Bassoon.2
        >>
        \new StaffGroup
           \new HornIandII \with { key=f } \partCombine \IV.Horn.1 \IV.Horn.2
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \IV.Violin.1 }
            \new ViolinII { \IV.Violin.2 }
          >>
          \new Viola { \IV.Viola }
          \new CB    { \IV.Cello }
        >>
      >>
    }
  }
}
